| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::ChannelInterfaceAnonymityInterface Class Reference
Channel proxies

`#include <TelepathyQt/Channel>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Member Functions

- ChannelInterfaceAnonymityInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfaceAnonymityInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfaceAnonymityInterface (Tp::DBusProxy *proxy)
- ChannelInterfaceAnonymityInterface (const Tp::Client::ChannelInterface &mainInterface)
- ChannelInterfaceAnonymityInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)
- Tp::PendingVariant * requestPropertyAnonymityModes () const
- Tp::PendingVariant * requestPropertyAnonymityMandatory () const
- Tp::PendingVariant * requestPropertyAnonymousID () const
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Anonymity".

## Constructor & Destructor Documentation

Tp::Client::ChannelInterfaceAnonymityInterface::ChannelInterfaceAnonymityInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelInterfaceAnonymityInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelInterfaceAnonymityInterface::ChannelInterfaceAnonymityInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelInterfaceAnonymityInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelInterfaceAnonymityInterface::ChannelInterfaceAnonymityInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelInterfaceAnonymityInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ChannelInterfaceAnonymityInterface::ChannelInterfaceAnonymityInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) | `[explicit]`

Creates a ChannelInterfaceAnonymityInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::ChannelInterfaceAnonymityInterface::ChannelInterfaceAnonymityInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ChannelInterfaceAnonymityInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ChannelInterfaceAnonymityInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Interface.Anonymity", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::ChannelInterfaceAnonymityInterface::requestPropertyAnonymityModes | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `AnonymityModes` of type `uint`.

The list of initially requested anonymity modes on the channel. This MUST NOT change, and is Requestable.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelInterfaceAnonymityInterface::requestPropertyAnonymityMandatory | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `AnonymityMandatory` of type `bool`.

Whether or not the anonymity settings are required for this channel. This MUST NOT change, and is Requestable.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelInterfaceAnonymityInterface::requestPropertyAnonymousID | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `AnonymousID` of type `QString`.

This is the ID that the remote user of the channel MAY see (assuming there's a single ID). For example, for SIP connections where the From address has been scrambled by the CM, the scrambled address would be available here for the client to see. This is completely optional, and MAY be an empty string ("") in cases where anonymity modes are not set, or the CM doesn't know what the remote contact will see, or any other case where this doesn't make sense.

This MAY change over the lifetime of the channel, and SHOULD NOT be used with the Request interface.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::ChannelInterfaceAnonymityInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::ChannelInterfaceAnonymityInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.